USERDEL(8)

NOM
userdel - supprimer un compte utilisateur et les fichiers associés

SYNOPSIS

userdel [options] LOGIN

DESCRIPTION

userdel is a low level utility for removing users. On Debian, administrators should usually use deluser(8) instead.

The userdel command modifies the system account files, deleting all entries that refer to the user name LOGIN. The named user must exist.

OPTIONS

Les options disponibles de la commande userdel sont :

-f, --force
    This option forces the removal of the user account, even if the user is still logged in. It also forces userdel to remove the user's home directory and mail spool, even if another user uses the same home directory or if the mail spool is not owned by the specified user. If USERGROUPS_ENAB is defined to yes in /etc/login.defs and if a group exists with the same name as the deleted user, then this group will be removed, even if it is still the primary group of another user.

    Note : Cette option est dangereuse, elle peut laisser votre système dans un état incohérent.

-h, --help
    Afficher un message d'aide et quitter.

-r, --remove
    Les fichiers présents dans le répertoire personnel de l'utilisateur seront supprimés en même temps que le répertoire lui-même, ainsi que le répertoire d'attente des courriels. Vous devrez rechercher et éliminer vous-même les fichiers situés dans d'autres systèmes de fichiers.

    Le répertoire d'attente des courriels est défini par la variable MAIL_DIR du fichier login.defs.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

MAIL_DIR (string)
    Répertoire d'attente des courriels (« mail spool directory »). Ce paramètre est nécessaire pour manipuler les boîtes à lettres lorsque le compte d'un utilisateur est modifié ou supprimé. S'il n'est pas spécifié, une valeur par défaut définie à la compilation est utilisée.

MAIL_FILE (string)
    Defines the location of the users mail spool files relatively to their home directory.

The MAIL_DIR and MAIL_FILE variables are used by useradd, usermod, and userdel to create, move, or delete the user's mail spool.

MAX_MEMBERS_PER_GROUP (number)
    Maximum members per group entry. When the maximum is reached, a new group entry (line) is started in /etc/group (with the same name, same password, and same GID).

    The default value is 0, meaning that there are no limits in the number of members in a group.

    This feature (split group) permits to limit the length of lines in the group file. This is useful to make sure that lines for NIS groups are not larger than 1024 characters.

    If you need to enforce such limit, you can use 25.

    Note: split groups may not be supported by all tools (even in the Shadow toolsuite. You should not use this variable unless you really need it.

USERDEL_CMD (string)
    Si ce paramètre est défini, cette commande est exécutée lors de la suppression d'un utilisateur. Elle pourra supprimer toutes les tâches périodiques cron ou at, tous les travaux d'impression, etc. de l'utilisateur (qui sera fourni comme premier paramètre).

USERGROUPS_ENAB (boolean)

FICHIERS

/etc/group
    Informations sur les groupes.

/etc/login.defs
    Configuration de la suite des mots de passe cachés « shadow password ».

/etc/passwd
    Informations sur les comptes des utilisateurs.

/etc/shadow
    Informations sécurisées sur les comptes utilisateurs.

VALEURS DE RETOUR

La commande userdel retourne les valeurs suivantes en quittant :

0
    succès

1
    impossible de mettre à jour le fichier des mots de passe

2
    erreur de syntaxe

6
    l'utilisateur indiqué n'existe pas

8
    l'utilisateur est actuellement connecté

10
    impossible de mettre à jour le fichier des groupes

12
    impossible de supprimer le répertoire personnel

AVERTISSEMENTS

Userdel ne vous permet pas de supprimer un compte si l'utilisateur en question est actuellement connecté. Vous devez tuer tous les processus en cours d'exécution appartenant à l'utilisateur que vous êtes en train de supprimer.

Vous ne pouvez supprimer aucun attribut NIS d'un client NIS. Cela doit être effectué sur le serveur NIS.

Si USERGROUPS_ENAB vaut yes dans le fichier /etc/login.defs, userdel supprimera le groupe ayant le même nom que l'utilisateur. Afin d'éviter des incohérences entre les fichiers passwd et group, userdel vérifie que le groupe n'est pas utilisé comme groupe primaire d'un autre utilisateur ; si c'est le cas un avertissement sera affiché et l'utilisateur ne sera pas supprimé. L'option -f permet de forcer la suppression du groupe.

VOIR AUSSI

chfn(1), chsh(1), passwd(1), login.defs(5), gpasswd(8), groupadd(8), groupdel(8), groupmod(8), useradd(8), usermod(8).